summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 6abd0fb)
raw | patch | inline | side by side (parent: 6abd0fb)
author | Johannes Schindelin <Johannes.Schindelin@gmx.de> | |
Wed, 6 Jun 2007 18:57:40 +0000 (19:57 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Wed, 6 Jun 2007 20:13:58 +0000 (13:13 -0700) |
Signed-off-by: Johannes Schindelin <Johannes.Schindelin@gmx.de>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/t5000-tar-tree.sh | patch | blob | history |
diff --git a/t/t5000-tar-tree.sh b/t/t5000-tar-tree.sh
index e223c074f043571ff868a2f4783c7cc155185004..5500505d8b86fad4d69fe3bca69b8d023737e79e 100755 (executable)
--- a/t/t5000-tar-tree.sh
+++ b/t/t5000-tar-tree.sh
'git-archive --format=zip' \
'git-archive --format=zip HEAD >d.zip'
+$UNZIP -v 2>/dev/null
+if [ $? -eq 127 ]; then
+ echo "Skipping ZIP tests, because unzip was not found"
+ test_done
+ exit
+fi
+
test_expect_success \
'extract ZIP archive' \
'(mkdir d && cd d && $UNZIP ../d.zip)'